/*
Bellaciao: a Salut à Toi frontend
Copyright (C) 2011  Jérôme Poisson (goffi@goffi.org)

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef CONTACTLIST_H
#define CONTACTLIST_H

#include <QtGui>
#include "contact.h"

class ContactList : public QDockWidget {
    Q_OBJECT
    
    public:
        ContactList(QWidget* parent = 0);
        void addContact(const Contact& contact);
        void clear();
    private:
        QWidget* mainWidget;
        QListWidget* listWidget;
        QMap<QString, Contact> m_contactMap;
};

#endif
